package projectzombie.items;

import gl_engine.vec.Vec3d;
import projectzombie.entity.player.EntityPlayer;
import projectzombie.util.math.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public abstract class ItemSpawn extends Item
{
	@Override
	public boolean onPlayerRightClick(ItemStack stack, Layer layer, Chunk chunk, EntityPlayer player) {
		this.spawnEntity(layer, chunk, player.getPos(), player.getVelocity());
		stack.count -= 1;
		return true;
	}
	
	public void spawnEntity(Layer layer, Chunk chunk, Vec3d pos, Vec3d velocity) {
		
	}
}
